<?php
//
// BBWA
// right.php
// 各画像を表示する
// Teppei KAKU <teppei@sat.co.jp>
//

include("variables.php");
?>


<!DOCTYPE HTML PUBLIC "-//W3C//DTD HTML 4.0 Transitional//EN">
<html>
<head>
<title>BBWA</title>
<meta http-equiv="Content-Type" content="text/html; charset=euc-jp">


<?php
print("<link rel=\"stylesheet\" type=\"text/css\" href=\"Themes/${theme}.css\">");
?>


<script language="JavaScript">
<!--
function openWindow(urlString) {
  var arg = "toolbar=no,location=no,directories=no,status=no,menubar=no,scrollbars=yes,resizable=yes";
  LARGEVIEW = window.open(urlString, "LRGEVIEW", arg);
  LARGEVIEW.focus();
}
//-->
</script>
<noscript>
<h4><blink>
エラー: JavaScript を有効にしないと正しく使えません!!
</blink></h4>
</noscript>
</head>
<body class="right">
<table border="0" width="100%" align="center">


<?php
include("functions.php");

// クッキーがあれば読み込む
if (isset($_COOKIE['NAME'])) {
  $nameValue = "value=\"" . htmlspecialchars($_COOKIE['NAME']) . "\"";
} else {
  $nameValue = "";
}
if (isset($_COOKIE['EMAIL'])) {
  $mailValue = "value=\"" . htmlspecialchars($_COOKIE['EMAIL']) . "\"";
} else {
  $mailValue = "";
}
if (isset($_COOKIE['PASS'])) {
  $passValue = "value=\"" . htmlspecialchars($_COOKIE['PASS']) . "\"";
} else {
  $passValue = "";
}
if (isset($_COOKIE['REPNAME'])) {
  $repValue = "value=\"" . htmlspecialchars($_COOKIE['REPNAME']) . "\"";
} else {
  $repValue = "";
}
?>


<tr><td class="right">
<table border="0" width="100%">


<?php
if (isset($_GET['img'])) {
  // 画像の詳細情報を表示

  // 説明などを読み込む
  $imgSize = getimagesize($dirName . $_GET['img']);
  $mesText = file("${dirName}Messages/${_GET['img']}_mes.txt");
  $mesElem = explode("|||", $mesText[0]);

  // スコアを読み込む
  $iList = file("${dirName}INDEX");
  foreach ($iList as $iText) {
    if (strstr($iText, $_GET['img'])) {
      $iArray = explode("|||", trim($iText));
      break;
    }
  }
  if ($iArray[2] == 0) {
    $score = 0;
  } else {
    $score = round($iArray[2] * 100 / $iArray[3]);
  }

  print("<tr><td valign=\"top\">");
  print("<table border=\"0\">");

  print("<tr><td nowrap align=\"right\" valign=\"top\">タイトル:</td><td>");
  print("<a href=\"JavaScript:openWindow('./largeview.php?img=${_GET['img']}')\">");
  $mesElem[2] = htmlspecialchars($mesElem[2]);
  print("<strong>${mesElem[2]}</strong></a></td></tr>");

  print("<tr><td nowrap align=\"right\" valign=\"top\">投稿者:</td><td>");
  if ($mesElem[4] != "NOMAIL") {
    $mesElem[4] = htmlspecialchars($mesElem[4]);
    print("<a href=\"mailto:${mesElem[4]}\">");
  }
  $mesElem[3] = htmlspecialchars($mesElem[3]);
  print("<strong>${mesElem[3]}</strong>");
  if ($mesElem[4] != "NOMAIL") {
    print("</a>");
  }
  print("</td></tr>");

  print("<tr><td nowrap align=\"right\" valign=\"top\">投稿日時:</td><td>");
  print("<strong>${mesElem[5]}</strong></td></tr>");

  $fSize = (int) ((filesize($dirName . $_GET['img']) / 1024) + 1);
  print("<tr><td nowrap align=\"right\" valign=\"top\">画像サイズ:</td>");
  print("<td>${imgSize[0]}x${imgSize[1]} ピクセル, ${fSize} KB</td></tr>");

  print("<tr><td nowrap align=\"right\" valign=\"top\">スコア:</td>");
  print("<td class=\"score\" valign=\"middle\">" .
    "<img src=\"score.php?score=${score}\" width=\"100\" height=\"8\">" .
    " ${score}%</td></tr>");
  print("<tr><td class=\"score\"></td>");
  print("<td class=\"score\" valign=\"middle\">スコア投票" .
    " <a href=\"score.php?img=${_GET['img']}&vote=g\">[Good]</a>" .
    " <a href=\"score.php?img=${_GET['img']}&vote=b\">[Bad]</a>" .
    "</td></tr>");

  print("<tr><td nowrap align=\"right\" valign=\"top\"><br>説明:");
  if (!ereg("^NOCOM(\r\n|\r|\n)$", $mesElem[7])) {
    $mesElem[7] = messageParse($mesElem[7]);
    print("</td><td style=\"padding-right:10px;\"><br>${mesElem[7]}");
  }

  echo <<<EOD
</td></tr></table>
</td><td valign="top" align="right">
<table border="0"><tr><td class="photoframe" align="center">
<a href="JavaScript:openWindow('./largeview.php?img=${_GET['img']}')">
EOD;

  if (eregi("\.gif$", $_GET['img'])) {
    print("<img src=\"${picUrl}${_GET['img']}\"" .
      "border=\"0\" alt=\"クリックすると実物大で表示します\"" .
      "width=\"${mesElem[0]}\" height=\"${mesElem[1]}\">");
  } else {
    print("<img src=\"$picUrl" . "Thumbnails/" .  $_GET['img'] . "_thumb.jpg\"
      border=\"0\" alt=\"クリックすると実物大で表示します\">");
  }

  // コメントを表示
  echo <<<EOD
</a></td></tr></table></td></tr><tr><td colspan="2">
<hr class="right" align="center" size="1">
&nbsp;&nbsp;コメント <a href="#ac">[コメントを書く]</a></br>
EOD;

  if (count($mesText) > 1) {
    for ($i = 1; $i < count($mesText); $i++) {
      $repElem = explode("|||", $mesText[$i]);
      $repElem[0] = htmlspecialchars($repElem[0]);
      $repElem[1] = messageParse($repElem[1]);
      $repElem[2] = trim($repElem[2]);
      print("<div class=\"comname\"><strong>${repElem[0]}</strong> " .
        "[${repElem[2]}]</div>");
      print("<div class=\"comtext\">${repElem[1]}</div>");
    }
  }

  echo <<<EOD
<form action="./comment.php" method="POST">
<input type="hidden" name="repImg" value="${_GET['img']}">
<a name="ac"><hr class="right" align="center" size="1"></a>
&nbsp;&nbsp;コメントを投稿<br><br>
<table>
<tr><td align="right">名前</td>
<td><input type="text" name="repName" size="40" ${repValue}></td></tr>
<tr><td align="right">コメント</td>
<td><textarea name="repCom" rows="5" cols="40"></textarea></td></tr>
<tr><td align="right">Cookie 使用</td><td>
<input class="cb" type="checkbox" name="repCookie" checked value="true"></td></tr>
<tr><td></td>
<td><input type="submit" value="送信">
<input type="reset" value="リセット"></td></tr>
</table>
</form>
</td></tr>
EOD;

} elseif (isset($_GET['new'])) {
  // 画像投稿フォームを表示
  print("<h4>新規イメージを投稿");
  if ($adminOnly) {
    print("<span class=\"notice\"> (管理者のみ投稿可能)</span>");
  }
  print("</h4>");

  echo <<<EOD
<form enctype="multipart/form-data" action="./submit.php" method="POST">
<table><tr><td align="right">題名</td><td>
<input type="text" name="title" size="40"></td></tr>
<tr><td align="right">名前</td><td>
<input type="text" name="name" size="40" ${nameValue}>
<span class="notice"> (必須)</span></td></tr>
<tr><td align="right">メールアドレス</td><td>
<input type="text" name="email" size="40" ${mailValue}></td></tr>
<tr><td align="right">ファイル</td><td>
<input type="file" name="fileName" size="40">
<span class="notice"> (必須)</span></td></tr>
<tr><td align="right">説明</td><td>
<textarea name="comment" rows="10" cols="40"></textarea></td></tr>
<tr><td align="right">パスワード</td><td>
<input type="password" name="userPass" size="10" ${passValue}>
<span class="notice"> (必須、半角英数のみ)</span></td></tr>
<tr><td align="right">自動縮小</td><td>
<input class="cb" type="checkbox" name="newAuto" value="true">
<span class="notice"> (JPEG イメージのみで有効)</span></td></tr>
<tr><td align="right">Cookie 使用</td><td>
<input class="cb" type="checkbox" name="useCookie" checked value="true"></td></tr>
<tr><td></td><td>
<input type="submit" value="送信">
<input type="reset" value="リセット"></td></tr></table>
</form>
EOD;

} else {
  // 表紙を表示
  print("<tr><td align=\"center\"><br><br><br><br><br>");
  if ($bannerImg != "") {
    print("<img src=\"${bannerImg}\">");
  }
  print("<h4>${albumTitle}</h4>");
  print("<span class=\"notice\">アルバム管理者: ");
  if ($adminMail != "") {
    print("<a href=\"mailto:${adminMail}\">${adminName}</a>");
  } else {
    print("${adminName}");
  }
  print("<br>イメージ投稿モード: ");
  if ($adminOnly) {
    print("管理者のみ");
  } else {
    print("無制限");
  }
  print("<br>最大ファイルサイズ: ${maxFileSize} KB");
  print("</span><br><br><br><br><br></td></tr>");
}
?>


</td></tr></table>


<?php
if (isset($_GET['img'])) {

  echo <<<EOD
<tr><td class="button" align="right">
<form action="./delete.php" method="POST" style="margin:0px;">
<input type="hidden" name="delImg" value="${_GET['img']}">
パスワード
<input type="password" name="delPasswd" size="10">
<input type="submit" name="delButton" value="削除">
<input type="submit" name="editButton" value="修正">
</form>
</td></tr>
EOD;

}
?>


</td></tr></table>
</body>
</html>
